hscolour-1.25: Colourise Haskell code.

Safe Haskell | Safe-Inferred
Language | Haskell98

Language.Haskell.HsColour.TTY

Description

Highlights Haskell code with ANSI terminal codes.

Synopsis

- hscolour :: ColourPrefs -> String -> String
- hscolourG :: TerminalType -> ColourPrefs -> String -> [Char]

# Documentation

hscolour Source #

Arguments

:: ColourPrefs | Colour preferences.
-> String | Haskell source code.
-> String | Coloured Haskell source code.

# `hscolourG` `Ansi16Colour`

hscolourG :: TerminalType -> ColourPrefs -> String -> [Char] Source #

Highlights Haskell code with ANSI terminal codes.